Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network33.78.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
33.78.0.0
Broadcast address
33.78.255.255
First usable
33.78.0.1
Last usable
33.78.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 214E0000 · Integer 558759936 to 558825471
Reverse DNS zone
78.33.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100001.01001110..00000000.0000000033.78.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00100001.01001110..00000000.0000000033.78.0.0
Broadcast00100001.01001110..11111111.1111111133.78.255.255
Split into smaller subnets/24

33.78.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
133.78.0.0/2433.78.0.1 to 33.78.0.25433.78.0.255254
233.78.1.0/2433.78.1.1 to 33.78.1.25433.78.1.255254
333.78.2.0/2433.78.2.1 to 33.78.2.25433.78.2.255254
433.78.3.0/2433.78.3.1 to 33.78.3.25433.78.3.255254
533.78.4.0/2433.78.4.1 to 33.78.4.25433.78.4.255254
633.78.5.0/2433.78.5.1 to 33.78.5.25433.78.5.255254
733.78.6.0/2433.78.6.1 to 33.78.6.25433.78.6.255254
833.78.7.0/2433.78.7.1 to 33.78.7.25433.78.7.255254
933.78.8.0/2433.78.8.1 to 33.78.8.25433.78.8.255254
1033.78.9.0/2433.78.9.1 to 33.78.9.25433.78.9.255254
1133.78.10.0/2433.78.10.1 to 33.78.10.25433.78.10.255254
1233.78.11.0/2433.78.11.1 to 33.78.11.25433.78.11.255254
1333.78.12.0/2433.78.12.1 to 33.78.12.25433.78.12.255254
1433.78.13.0/2433.78.13.1 to 33.78.13.25433.78.13.255254
1533.78.14.0/2433.78.14.1 to 33.78.14.25433.78.14.255254
1633.78.15.0/2433.78.15.1 to 33.78.15.25433.78.15.255254
1733.78.16.0/2433.78.16.1 to 33.78.16.25433.78.16.255254
1833.78.17.0/2433.78.17.1 to 33.78.17.25433.78.17.255254
1933.78.18.0/2433.78.18.1 to 33.78.18.25433.78.18.255254
2033.78.19.0/2433.78.19.1 to 33.78.19.25433.78.19.255254
2133.78.20.0/2433.78.20.1 to 33.78.20.25433.78.20.255254
2233.78.21.0/2433.78.21.1 to 33.78.21.25433.78.21.255254
2333.78.22.0/2433.78.22.1 to 33.78.22.25433.78.22.255254
2433.78.23.0/2433.78.23.1 to 33.78.23.25433.78.23.255254
2533.78.24.0/2433.78.24.1 to 33.78.24.25433.78.24.255254
2633.78.25.0/2433.78.25.1 to 33.78.25.25433.78.25.255254
2733.78.26.0/2433.78.26.1 to 33.78.26.25433.78.26.255254
2833.78.27.0/2433.78.27.1 to 33.78.27.25433.78.27.255254
2933.78.28.0/2433.78.28.1 to 33.78.28.25433.78.28.255254
3033.78.29.0/2433.78.29.1 to 33.78.29.25433.78.29.255254
3133.78.30.0/2433.78.30.1 to 33.78.30.25433.78.30.255254
3233.78.31.0/2433.78.31.1 to 33.78.31.25433.78.31.255254
3333.78.32.0/2433.78.32.1 to 33.78.32.25433.78.32.255254
3433.78.33.0/2433.78.33.1 to 33.78.33.25433.78.33.255254
3533.78.34.0/2433.78.34.1 to 33.78.34.25433.78.34.255254
3633.78.35.0/2433.78.35.1 to 33.78.35.25433.78.35.255254
3733.78.36.0/2433.78.36.1 to 33.78.36.25433.78.36.255254
3833.78.37.0/2433.78.37.1 to 33.78.37.25433.78.37.255254
3933.78.38.0/2433.78.38.1 to 33.78.38.25433.78.38.255254
4033.78.39.0/2433.78.39.1 to 33.78.39.25433.78.39.255254
4133.78.40.0/2433.78.40.1 to 33.78.40.25433.78.40.255254
4233.78.41.0/2433.78.41.1 to 33.78.41.25433.78.41.255254
4333.78.42.0/2433.78.42.1 to 33.78.42.25433.78.42.255254
4433.78.43.0/2433.78.43.1 to 33.78.43.25433.78.43.255254
4533.78.44.0/2433.78.44.1 to 33.78.44.25433.78.44.255254
4633.78.45.0/2433.78.45.1 to 33.78.45.25433.78.45.255254
4733.78.46.0/2433.78.46.1 to 33.78.46.25433.78.46.255254
4833.78.47.0/2433.78.47.1 to 33.78.47.25433.78.47.255254
4933.78.48.0/2433.78.48.1 to 33.78.48.25433.78.48.255254
5033.78.49.0/2433.78.49.1 to 33.78.49.25433.78.49.255254
5133.78.50.0/2433.78.50.1 to 33.78.50.25433.78.50.255254
5233.78.51.0/2433.78.51.1 to 33.78.51.25433.78.51.255254
5333.78.52.0/2433.78.52.1 to 33.78.52.25433.78.52.255254
5433.78.53.0/2433.78.53.1 to 33.78.53.25433.78.53.255254
5533.78.54.0/2433.78.54.1 to 33.78.54.25433.78.54.255254
5633.78.55.0/2433.78.55.1 to 33.78.55.25433.78.55.255254
5733.78.56.0/2433.78.56.1 to 33.78.56.25433.78.56.255254
5833.78.57.0/2433.78.57.1 to 33.78.57.25433.78.57.255254
5933.78.58.0/2433.78.58.1 to 33.78.58.25433.78.58.255254
6033.78.59.0/2433.78.59.1 to 33.78.59.25433.78.59.255254
6133.78.60.0/2433.78.60.1 to 33.78.60.25433.78.60.255254
6233.78.61.0/2433.78.61.1 to 33.78.61.25433.78.61.255254
6333.78.62.0/2433.78.62.1 to 33.78.62.25433.78.62.255254
6433.78.63.0/2433.78.63.1 to 33.78.63.25433.78.63.255254
6533.78.64.0/2433.78.64.1 to 33.78.64.25433.78.64.255254
6633.78.65.0/2433.78.65.1 to 33.78.65.25433.78.65.255254
6733.78.66.0/2433.78.66.1 to 33.78.66.25433.78.66.255254
6833.78.67.0/2433.78.67.1 to 33.78.67.25433.78.67.255254
6933.78.68.0/2433.78.68.1 to 33.78.68.25433.78.68.255254
7033.78.69.0/2433.78.69.1 to 33.78.69.25433.78.69.255254
7133.78.70.0/2433.78.70.1 to 33.78.70.25433.78.70.255254
7233.78.71.0/2433.78.71.1 to 33.78.71.25433.78.71.255254
7333.78.72.0/2433.78.72.1 to 33.78.72.25433.78.72.255254
7433.78.73.0/2433.78.73.1 to 33.78.73.25433.78.73.255254
7533.78.74.0/2433.78.74.1 to 33.78.74.25433.78.74.255254
7633.78.75.0/2433.78.75.1 to 33.78.75.25433.78.75.255254
7733.78.76.0/2433.78.76.1 to 33.78.76.25433.78.76.255254
7833.78.77.0/2433.78.77.1 to 33.78.77.25433.78.77.255254
7933.78.78.0/2433.78.78.1 to 33.78.78.25433.78.78.255254
8033.78.79.0/2433.78.79.1 to 33.78.79.25433.78.79.255254
8133.78.80.0/2433.78.80.1 to 33.78.80.25433.78.80.255254
8233.78.81.0/2433.78.81.1 to 33.78.81.25433.78.81.255254
8333.78.82.0/2433.78.82.1 to 33.78.82.25433.78.82.255254
8433.78.83.0/2433.78.83.1 to 33.78.83.25433.78.83.255254
8533.78.84.0/2433.78.84.1 to 33.78.84.25433.78.84.255254
8633.78.85.0/2433.78.85.1 to 33.78.85.25433.78.85.255254
8733.78.86.0/2433.78.86.1 to 33.78.86.25433.78.86.255254
8833.78.87.0/2433.78.87.1 to 33.78.87.25433.78.87.255254
8933.78.88.0/2433.78.88.1 to 33.78.88.25433.78.88.255254
9033.78.89.0/2433.78.89.1 to 33.78.89.25433.78.89.255254
9133.78.90.0/2433.78.90.1 to 33.78.90.25433.78.90.255254
9233.78.91.0/2433.78.91.1 to 33.78.91.25433.78.91.255254
9333.78.92.0/2433.78.92.1 to 33.78.92.25433.78.92.255254
9433.78.93.0/2433.78.93.1 to 33.78.93.25433.78.93.255254
9533.78.94.0/2433.78.94.1 to 33.78.94.25433.78.94.255254
9633.78.95.0/2433.78.95.1 to 33.78.95.25433.78.95.255254
9733.78.96.0/2433.78.96.1 to 33.78.96.25433.78.96.255254
9833.78.97.0/2433.78.97.1 to 33.78.97.25433.78.97.255254
9933.78.98.0/2433.78.98.1 to 33.78.98.25433.78.98.255254
10033.78.99.0/2433.78.99.1 to 33.78.99.25433.78.99.255254
10133.78.100.0/2433.78.100.1 to 33.78.100.25433.78.100.255254
10233.78.101.0/2433.78.101.1 to 33.78.101.25433.78.101.255254
10333.78.102.0/2433.78.102.1 to 33.78.102.25433.78.102.255254
10433.78.103.0/2433.78.103.1 to 33.78.103.25433.78.103.255254
10533.78.104.0/2433.78.104.1 to 33.78.104.25433.78.104.255254
10633.78.105.0/2433.78.105.1 to 33.78.105.25433.78.105.255254
10733.78.106.0/2433.78.106.1 to 33.78.106.25433.78.106.255254
10833.78.107.0/2433.78.107.1 to 33.78.107.25433.78.107.255254
10933.78.108.0/2433.78.108.1 to 33.78.108.25433.78.108.255254
11033.78.109.0/2433.78.109.1 to 33.78.109.25433.78.109.255254
11133.78.110.0/2433.78.110.1 to 33.78.110.25433.78.110.255254
11233.78.111.0/2433.78.111.1 to 33.78.111.25433.78.111.255254
11333.78.112.0/2433.78.112.1 to 33.78.112.25433.78.112.255254
11433.78.113.0/2433.78.113.1 to 33.78.113.25433.78.113.255254
11533.78.114.0/2433.78.114.1 to 33.78.114.25433.78.114.255254
11633.78.115.0/2433.78.115.1 to 33.78.115.25433.78.115.255254
11733.78.116.0/2433.78.116.1 to 33.78.116.25433.78.116.255254
11833.78.117.0/2433.78.117.1 to 33.78.117.25433.78.117.255254
11933.78.118.0/2433.78.118.1 to 33.78.118.25433.78.118.255254
12033.78.119.0/2433.78.119.1 to 33.78.119.25433.78.119.255254
12133.78.120.0/2433.78.120.1 to 33.78.120.25433.78.120.255254
12233.78.121.0/2433.78.121.1 to 33.78.121.25433.78.121.255254
12333.78.122.0/2433.78.122.1 to 33.78.122.25433.78.122.255254
12433.78.123.0/2433.78.123.1 to 33.78.123.25433.78.123.255254
12533.78.124.0/2433.78.124.1 to 33.78.124.25433.78.124.255254
12633.78.125.0/2433.78.125.1 to 33.78.125.25433.78.125.255254
12733.78.126.0/2433.78.126.1 to 33.78.126.25433.78.126.255254
12833.78.127.0/2433.78.127.1 to 33.78.127.25433.78.127.255254
12933.78.128.0/2433.78.128.1 to 33.78.128.25433.78.128.255254
13033.78.129.0/2433.78.129.1 to 33.78.129.25433.78.129.255254
13133.78.130.0/2433.78.130.1 to 33.78.130.25433.78.130.255254
13233.78.131.0/2433.78.131.1 to 33.78.131.25433.78.131.255254
13333.78.132.0/2433.78.132.1 to 33.78.132.25433.78.132.255254
13433.78.133.0/2433.78.133.1 to 33.78.133.25433.78.133.255254
13533.78.134.0/2433.78.134.1 to 33.78.134.25433.78.134.255254
13633.78.135.0/2433.78.135.1 to 33.78.135.25433.78.135.255254
13733.78.136.0/2433.78.136.1 to 33.78.136.25433.78.136.255254
13833.78.137.0/2433.78.137.1 to 33.78.137.25433.78.137.255254
13933.78.138.0/2433.78.138.1 to 33.78.138.25433.78.138.255254
14033.78.139.0/2433.78.139.1 to 33.78.139.25433.78.139.255254
14133.78.140.0/2433.78.140.1 to 33.78.140.25433.78.140.255254
14233.78.141.0/2433.78.141.1 to 33.78.141.25433.78.141.255254
14333.78.142.0/2433.78.142.1 to 33.78.142.25433.78.142.255254
14433.78.143.0/2433.78.143.1 to 33.78.143.25433.78.143.255254
14533.78.144.0/2433.78.144.1 to 33.78.144.25433.78.144.255254
14633.78.145.0/2433.78.145.1 to 33.78.145.25433.78.145.255254
14733.78.146.0/2433.78.146.1 to 33.78.146.25433.78.146.255254
14833.78.147.0/2433.78.147.1 to 33.78.147.25433.78.147.255254
14933.78.148.0/2433.78.148.1 to 33.78.148.25433.78.148.255254
15033.78.149.0/2433.78.149.1 to 33.78.149.25433.78.149.255254
15133.78.150.0/2433.78.150.1 to 33.78.150.25433.78.150.255254
15233.78.151.0/2433.78.151.1 to 33.78.151.25433.78.151.255254
15333.78.152.0/2433.78.152.1 to 33.78.152.25433.78.152.255254
15433.78.153.0/2433.78.153.1 to 33.78.153.25433.78.153.255254
15533.78.154.0/2433.78.154.1 to 33.78.154.25433.78.154.255254
15633.78.155.0/2433.78.155.1 to 33.78.155.25433.78.155.255254
15733.78.156.0/2433.78.156.1 to 33.78.156.25433.78.156.255254
15833.78.157.0/2433.78.157.1 to 33.78.157.25433.78.157.255254
15933.78.158.0/2433.78.158.1 to 33.78.158.25433.78.158.255254
16033.78.159.0/2433.78.159.1 to 33.78.159.25433.78.159.255254
16133.78.160.0/2433.78.160.1 to 33.78.160.25433.78.160.255254
16233.78.161.0/2433.78.161.1 to 33.78.161.25433.78.161.255254
16333.78.162.0/2433.78.162.1 to 33.78.162.25433.78.162.255254
16433.78.163.0/2433.78.163.1 to 33.78.163.25433.78.163.255254
16533.78.164.0/2433.78.164.1 to 33.78.164.25433.78.164.255254
16633.78.165.0/2433.78.165.1 to 33.78.165.25433.78.165.255254
16733.78.166.0/2433.78.166.1 to 33.78.166.25433.78.166.255254
16833.78.167.0/2433.78.167.1 to 33.78.167.25433.78.167.255254
16933.78.168.0/2433.78.168.1 to 33.78.168.25433.78.168.255254
17033.78.169.0/2433.78.169.1 to 33.78.169.25433.78.169.255254
17133.78.170.0/2433.78.170.1 to 33.78.170.25433.78.170.255254
17233.78.171.0/2433.78.171.1 to 33.78.171.25433.78.171.255254
17333.78.172.0/2433.78.172.1 to 33.78.172.25433.78.172.255254
17433.78.173.0/2433.78.173.1 to 33.78.173.25433.78.173.255254
17533.78.174.0/2433.78.174.1 to 33.78.174.25433.78.174.255254
17633.78.175.0/2433.78.175.1 to 33.78.175.25433.78.175.255254
17733.78.176.0/2433.78.176.1 to 33.78.176.25433.78.176.255254
17833.78.177.0/2433.78.177.1 to 33.78.177.25433.78.177.255254
17933.78.178.0/2433.78.178.1 to 33.78.178.25433.78.178.255254
18033.78.179.0/2433.78.179.1 to 33.78.179.25433.78.179.255254
18133.78.180.0/2433.78.180.1 to 33.78.180.25433.78.180.255254
18233.78.181.0/2433.78.181.1 to 33.78.181.25433.78.181.255254
18333.78.182.0/2433.78.182.1 to 33.78.182.25433.78.182.255254
18433.78.183.0/2433.78.183.1 to 33.78.183.25433.78.183.255254
18533.78.184.0/2433.78.184.1 to 33.78.184.25433.78.184.255254
18633.78.185.0/2433.78.185.1 to 33.78.185.25433.78.185.255254
18733.78.186.0/2433.78.186.1 to 33.78.186.25433.78.186.255254
18833.78.187.0/2433.78.187.1 to 33.78.187.25433.78.187.255254
18933.78.188.0/2433.78.188.1 to 33.78.188.25433.78.188.255254
19033.78.189.0/2433.78.189.1 to 33.78.189.25433.78.189.255254
19133.78.190.0/2433.78.190.1 to 33.78.190.25433.78.190.255254
19233.78.191.0/2433.78.191.1 to 33.78.191.25433.78.191.255254
19333.78.192.0/2433.78.192.1 to 33.78.192.25433.78.192.255254
19433.78.193.0/2433.78.193.1 to 33.78.193.25433.78.193.255254
19533.78.194.0/2433.78.194.1 to 33.78.194.25433.78.194.255254
19633.78.195.0/2433.78.195.1 to 33.78.195.25433.78.195.255254
19733.78.196.0/2433.78.196.1 to 33.78.196.25433.78.196.255254
19833.78.197.0/2433.78.197.1 to 33.78.197.25433.78.197.255254
19933.78.198.0/2433.78.198.1 to 33.78.198.25433.78.198.255254
20033.78.199.0/2433.78.199.1 to 33.78.199.25433.78.199.255254
20133.78.200.0/2433.78.200.1 to 33.78.200.25433.78.200.255254
20233.78.201.0/2433.78.201.1 to 33.78.201.25433.78.201.255254
20333.78.202.0/2433.78.202.1 to 33.78.202.25433.78.202.255254
20433.78.203.0/2433.78.203.1 to 33.78.203.25433.78.203.255254
20533.78.204.0/2433.78.204.1 to 33.78.204.25433.78.204.255254
20633.78.205.0/2433.78.205.1 to 33.78.205.25433.78.205.255254
20733.78.206.0/2433.78.206.1 to 33.78.206.25433.78.206.255254
20833.78.207.0/2433.78.207.1 to 33.78.207.25433.78.207.255254
20933.78.208.0/2433.78.208.1 to 33.78.208.25433.78.208.255254
21033.78.209.0/2433.78.209.1 to 33.78.209.25433.78.209.255254
21133.78.210.0/2433.78.210.1 to 33.78.210.25433.78.210.255254
21233.78.211.0/2433.78.211.1 to 33.78.211.25433.78.211.255254
21333.78.212.0/2433.78.212.1 to 33.78.212.25433.78.212.255254
21433.78.213.0/2433.78.213.1 to 33.78.213.25433.78.213.255254
21533.78.214.0/2433.78.214.1 to 33.78.214.25433.78.214.255254
21633.78.215.0/2433.78.215.1 to 33.78.215.25433.78.215.255254
21733.78.216.0/2433.78.216.1 to 33.78.216.25433.78.216.255254
21833.78.217.0/2433.78.217.1 to 33.78.217.25433.78.217.255254
21933.78.218.0/2433.78.218.1 to 33.78.218.25433.78.218.255254
22033.78.219.0/2433.78.219.1 to 33.78.219.25433.78.219.255254
22133.78.220.0/2433.78.220.1 to 33.78.220.25433.78.220.255254
22233.78.221.0/2433.78.221.1 to 33.78.221.25433.78.221.255254
22333.78.222.0/2433.78.222.1 to 33.78.222.25433.78.222.255254
22433.78.223.0/2433.78.223.1 to 33.78.223.25433.78.223.255254
22533.78.224.0/2433.78.224.1 to 33.78.224.25433.78.224.255254
22633.78.225.0/2433.78.225.1 to 33.78.225.25433.78.225.255254
22733.78.226.0/2433.78.226.1 to 33.78.226.25433.78.226.255254
22833.78.227.0/2433.78.227.1 to 33.78.227.25433.78.227.255254
22933.78.228.0/2433.78.228.1 to 33.78.228.25433.78.228.255254
23033.78.229.0/2433.78.229.1 to 33.78.229.25433.78.229.255254
23133.78.230.0/2433.78.230.1 to 33.78.230.25433.78.230.255254
23233.78.231.0/2433.78.231.1 to 33.78.231.25433.78.231.255254
23333.78.232.0/2433.78.232.1 to 33.78.232.25433.78.232.255254
23433.78.233.0/2433.78.233.1 to 33.78.233.25433.78.233.255254
23533.78.234.0/2433.78.234.1 to 33.78.234.25433.78.234.255254
23633.78.235.0/2433.78.235.1 to 33.78.235.25433.78.235.255254
23733.78.236.0/2433.78.236.1 to 33.78.236.25433.78.236.255254
23833.78.237.0/2433.78.237.1 to 33.78.237.25433.78.237.255254
23933.78.238.0/2433.78.238.1 to 33.78.238.25433.78.238.255254
24033.78.239.0/2433.78.239.1 to 33.78.239.25433.78.239.255254
24133.78.240.0/2433.78.240.1 to 33.78.240.25433.78.240.255254
24233.78.241.0/2433.78.241.1 to 33.78.241.25433.78.241.255254
24333.78.242.0/2433.78.242.1 to 33.78.242.25433.78.242.255254
24433.78.243.0/2433.78.243.1 to 33.78.243.25433.78.243.255254
24533.78.244.0/2433.78.244.1 to 33.78.244.25433.78.244.255254
24633.78.245.0/2433.78.245.1 to 33.78.245.25433.78.245.255254
24733.78.246.0/2433.78.246.1 to 33.78.246.25433.78.246.255254
24833.78.247.0/2433.78.247.1 to 33.78.247.25433.78.247.255254
24933.78.248.0/2433.78.248.1 to 33.78.248.25433.78.248.255254
25033.78.249.0/2433.78.249.1 to 33.78.249.25433.78.249.255254
25133.78.250.0/2433.78.250.1 to 33.78.250.25433.78.250.255254
25233.78.251.0/2433.78.251.1 to 33.78.251.25433.78.251.255254
25333.78.252.0/2433.78.252.1 to 33.78.252.25433.78.252.255254
25433.78.253.0/2433.78.253.1 to 33.78.253.25433.78.253.255254
25533.78.254.0/2433.78.254.1 to 33.78.254.25433.78.254.255254
25633.78.255.0/2433.78.255.1 to 33.78.255.25433.78.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses